{
    template:'${tmpl}',
    data:function(){
      return {
        name:'',
        company:{},
        input: '',
        value1: '',
        options1: [{
          value: '北京',
          label: '北京'
        }, {
          value: '上海',
          label: '上海'
        }, {
          value: '广州',
          label: '广州'
        }, {
          value: '深圳',
          label: '深圳'
        }, {
          value: '杭州',
          label: '杭州'
        }, {
          value: '成都',
          label: '成都'
        }],
        value2: '',
        options2: [{
          value: '文化',
          label: '文化'
        }, {
          value: '科技',
          label: '科技'
        }, {
          value: '管理',
          label: '管理'
        }, {
          value: '咨询',
          label: '咨询'
        }, {
          value: '服务',
          label: '服务'
        }, {
          value: '传媒',
          label: '传媒'
        }, {
          value: '影业',
          label: '影业'
        }, {
          value: '贸易',
          label: '贸易'
        }, {
          value: '广告',
          label: '广告'
        }, {
          value: '教育',
          label: '教育'
        }, {
          value: '设计',
          label: '设计'
        }],
        value3: '',
        options3: [{
          value: '有限公司',
          label: '有限公司'
        }, {
          value: '股份有限公司',
          label: '股份有限公司'
        }, {
          value: '集团公司',
          label: '集团公司'
        }]
      }
    },
    mounted:function(){
      $("#footer").show();
      const loading = this.$loading({
        lock: true,
        text: 'Loading',
        spinner: 'el-icon-loading',
        background: 'rgba(0, 0, 0, 0.7)'
      });
      var params = this.$router.history.current.query.obj;
      console.log(params);
      if (params) {
        this.name = params.cityname + params.keyword + params.btname + params.orgname;
        var this_ = this;
        this.$root.postReq("/web/ichemingCtl/ichemingApi", params).then(function(d) {
          console.log(d);
          this_.company = d.data;
          loading.close();
        })
      }

    },
    created:function(){
      
    },
    methods:{
      searchResult () {
        let obj = {
          "cityname": this.value1,
          "keyword": this.input,
          "btname": this.value2,
          "orgname": this.value3,
          "sitcity":1
        };
        this.name = obj.cityname + obj.keyword + obj.btname + obj.orgname;
        var this_ = this;
        const loading = this.$loading({
          lock: true,
          text: 'Loading',
          spinner: 'el-icon-loading',
          background: 'rgba(0, 0, 0, 0.7)'
        });
        this.$root.postReq("/web/ichemingCtl/ichemingApi", obj).then(function(d) {
          this_.company = d.data;
          loading.close();
        })
      },
    },
    vname:"gsb-icorder"
}
